{% extends "dashboard/base.html" %}

{% load i18n %}
{% load bootstrap %}
{% load static %}
{% block stylesheet %}
{% load general_tags %}

<link href="{% static 'css/plugins/footable/footable.core.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/select2/select2.min.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">

{% endblock stylesheet %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Proponer Proyecto" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li class="active">
                <a href="{% url 'project_propose' %}">{% trans "Proponer Proyecto" %}</a>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}


 <div class="row">
    <div class="col-lg-3">
        <div class="ibox float-e-margins">
            <div class="ibox-title blue-bg">
                <h5>Total de Propuestas</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-9">
                        <h1 class="no-margins">{{ proposals }}</h1>
                        <small>Proyectos Propuestos</small>
                    </div>
                    <div class="col-md-3">
                        <i class="fa fa-globe fa-4x" aria-hidden="true"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3">
        <div class="ibox float-e-margins">
            <div class="ibox-title yellow-bg">
                <h5>Total de Propuestas en Revisión</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-9">
                        <h1 class="no-margins">{{ revision }}</h1>
                        <small>Proyectos en Revisión</small>
                    </div>
                    <div class="col-md-3">
                        <i class="fa fa-clock-o fa-4x" aria-hidden="true"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3">
        <div class="ibox float-e-margins">
            <div class="ibox-title navy-bg">
                <h5>Total de Propuestas Aprobadas</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-9">
                        <h1 class="no-margins">{{ accepted }}</h1>
                        <small>Proyectos Aprobados</small>
                    </div>
                    <div class="col-md-3">
                        <i class="fa fa-check-circle-o fa-4x" aria-hidden="true"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-3">
        <div class="ibox float-e-margins">
            <div class="ibox-title red-bg">
                <h5>Total de Propuestas Rechazadas</h5>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-9">
                        <h1 class="no-margins">{{ rejected }}</h1>
                        <small>Proyectos Rechazados</small>
                    </div>
                    <div class="col-md-3">
                        <i class="fa fa-times-circle-o fa-4x" aria-hidden="true"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Mis Propuestas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-down" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar propuesta de proyecto">
                <div class="project-list">
                    <table class="footable table table-stripped animated fadeInRight" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Imagen</th>
                            <th>Título</th>
                            <th>Fecha</th>
                            <th>Información adicional</th>
                            <th>Estado</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for project in object_list %}
                        {% if project.author == user %}
                        <tr>
                            <td class="col-md-1" style="text-align:center;">
                                <img alt="image" class="img-circle" style="width:50%" src="{% static 'img/FaviconUNAB.png' %}">
                            </td>
                            <td class="col-md-3 project-title">
                                <a>{{project.name}}</a>
                                <br/>
                                <small>Autor: {{project.author.first_name}} {{project.author.last_name}}</small>
                                <br>
                            </td>
                            <td class="col-md-2"><small>Fecha creación: {{project.date|date:"d-m-Y"}}</small></td>
                            <td class="col-md-3 project-completion">
                                    <small>Facultad: {{project.faculty}} </small>
                                    <br>
                                    <small>Carrera: {{project.carreer}}</small>
                                    <br>
                                    <small>Profesor guía: {{project.guide_teacher}}</small>
                            </td>
                            <td class="col-md-1">
                                {% if project.status == "ER" %}
                                <span class="label label-warning" style="font-size:12px;">En Revision</span>
                                {% elif project.status == "AC" %}
                                <span class="label label-primary" style="font-size:12px;">Aprobado</span>
                                {% elif project.status == "RE" %}
                                <span class="label label-danger" style="font-size:12px;">Rechazado</span>
                                {% endif %}

                            </td>
                            <td class="col-md-2 project-actions" style="text-align:left">
                                <a href="#" class="btn btn-success btn-sm" data-project_id="{{project.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href="{% url 'project_delete' project.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
                            </td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="6">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Formulario de Propuesta</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-down" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <form action="{% url 'project_propose' %}" id="formulario" method="post">
                    <div class="row">
                        <div class="form-group col-md-4">
                            {{ form.faculty|bootstrap }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form.carreer|bootstrap }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form.period|bootstrap }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-4">
                            {{ form.vacancy|bootstrap }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form.student|bootstrap }}
                        </div>
                        <div class="form-group col-md-4" id="rut_profe">
                            {{ form.teacher|bootstrap }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-8">
                            {{ form.title|bootstrap }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form.tags|bootstrap }}
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-12">
                            {{ form.description|bootstrap }}
                        </div>
                    </div>
                    {% csrf_token %}
                    <div class="hr-line-dashed"></div>
                    <div class="form-group clearfix text-right">
                        <input type="submit" class="btn btn-primary" value="Enviar Propuesta">
                        <input type="reset" class="btn btn-white" value="Limpiar">
                    </div>
                </form>
            </div>


        </div>
    </div>
</div>


<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <img alt="image" class="img-circle img-responsive center-block " src="{% static 'img/FaviconUNAB.png' %}">
                  <h1 class="text-center" id="titulo-proyecto"></h1>
              </div>
              <div class="modal-body">
                  <strong>Descripción</strong>
                  <div class="well">
                      <text id="description_project"></text>
                  </div>
                  <div class="row">
                    <div class="col-md-7">
                        <h5 id="cupos">
                            <strong>Cupos: </strong>
                            1/1
                        </h5>
                        <div class="progress progress-striped active" id="progress_cupo">
                            <div style="width: 100%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy">
                                <span class="sr-only">40% Complete (success)</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5" style="text-align:center;margin-top:22px;">
                        <a target="_blank" href="http://protedev.cloudtic.tech:8089/media/proyecto.pdf" class="btn btn-warning btn-sm">Descargar Detalle
                            <i class="fa fa-download"></i>
                        </a>
                    </div>
                  </div>
                  <div class="row">
                      <div class="col-md-8">
                          <h5 id=autor>
                              <strong>Autor: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="facultad">
                              <strong>Facultad: </strong>
                          </h5>
                      </div>
                  </div>
                  <div class="row">
                      <div class="col-md-8">
                          <h5 id="carrera">
                              <strong>Carrera: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="profesor-guia">
                              <strong>Profesor Guía: </strong>
                          </h5>
                      </div>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->
{% endblock content %}
{% block javascript %}

<script src="{% static 'js/plugins/footable/footable.all.min.js' %}"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>

<script>

    $(document).ready(function() {

        $('#id_title').css("width", "100%");

        $('#formulario').on('keypress', function(e) {
            return e.which !== 13;
        });

        $('.footable').footable();
        $('#id_student').select2();
        $('#id_teacher').select2();
        $('#id_tags').addClass("tagsinput");
        $('.tagsinput').tagsinput({
                tagClass: 'label label-primary',
                maxTags: 5
            });
        $("#id_carreer").select2();
        $("#id_faculty").select2();
        $("#id_period").select2();
        $("#id_shift").select2();

        $('#id_faculty').on('change', function() {
            var pk_faculty = $( "#id_faculty" ).val();
            data = {faculty_pk : pk_faculty,
                    csrfmiddlewaretoken: '{{ csrf_token }}'}

            $.post("{% url 'get_carrer' %}",data,function(response){
                $('#id_carreer').html(response.carreers);
            });
        });

        $('#id_carreer').on('change', function() {
            var pk_carreer = $( "#id_carreer" ).val();
            data = {carreer_pk : pk_carreer, 
                    csrfmiddlewaretoken: '{{ csrf_token }}'}

            $.post("{% url 'get_data_carreer' %}",data,function(response){
                $('#id_teacher').html(response.teacher);
                $('#id_student').html(response.student);
                $('#id_shift').html(response.shift);

            });
        });


        $('#exampleModal').on('show.bs.modal', function (event) {

            var button = $(event.relatedTarget) // Button that triggered the modal

            var project_id = button.data('project_id') // Extract info from data-* attributes
            var modal = $(this);
            // moredata: 'moredata',
            data = {
                project_id : project_id,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'project_detail' %}",data,function(response){
                project_name = 'Demo';
                modal.find('.modal-title').text('Detalle de proyecto ' + project_id);
                $('#autor').html("<strong>Autor: </strong>" + response.autor);
                $('#description_project').html(response.descripcion);
                $('#titulo-proyecto').html(response.titulo)
                $('#carrera').html("<strong>Carrera: </strong>" + response.carrera)
                $('#facultad').html("<strong>Facultad: </strong>" + response.facultad)
                $('#profesor-guia').html("<strong>Profesor: </strong>" + response.profesor)
                $('#cupos').html("<strong>Cupos: </strong>" + response.cupos_disponible + "/" + response.cupos_total)
                $('#pogress_cupo').html('<div style="width: 100%" aria-valuemax="' + response.cupos_totales + '" aria-valuemin="0" aria-valuenow="' + response.cupos_disponible + '" role="progressbar" class="progress-bar progress-bar-navy"><span class="sr-only">40% Complete (success)</span></div>');
            });
        })

    });

</script>


{% endblock javascript %}
